<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files>
        <service servicelist="bareos">bareos-director</service>
        <service servicelist="bareos_fd">bareos-filedaemon</service>
        <service servicelist="bareos_sd">bareos-storage</service>
        <service_access service='bareos_sd'>
            <port>9103</port>
            <tcpwrapper tcpwrapper_type='SymLinkOption'>bareos_sd_name</tcpwrapper>
        </service_access>
        <service_restriction service='bareos_sd'>
            <ip interface='auto' ip_type='SymLinkOption'>bareos_sd_address_fd</ip>
            <ip interface='auto' ip_type='SymLinkOption'>bareos_sd_remote_dir_ip</ip>
            <ip interface='auto' ip_type='SymLinkOption'>bareos_fd_remote_dir_address</ip>
        </service_restriction>
        <service_access service='bareos-fd'>
            <port>9102</port>
            <tcpwrapper tcpwrapper_type='SymLinkOption'>bareos_fd_name</tcpwrapper>
        </service_access>
        <service_restriction service='bareos-fd'>
            <ip interface='eth0' ip_type='SymLinkOption'>bareos_fd_remote_dir_address</ip>
        </service_restriction>

        <file filelist="bareos" name='/etc/bareos/query.sql'/>
        <file filelist="bareos" name='/etc/bareos/include-options.conf'/>
        <file filelist="bareos_fd" name='/etc/bareos/bareos-fd.conf' source='bareos-fd.conf'/>
        <file filelist="bareos_sd" name='/etc/bareos/bareos-sd.conf' source='bareos-sd.conf'/>
        <file filelist="bareos" name='/etc/bareos/bareos-dir.conf' source='bareos-dir.conf'/>
        <file filelist="bareos" name='/etc/sudoers.d/bareos' source='bareos.sudoers' mode="0440" rm='True'/>
        <file filelist="bareos" name='/etc/bareos/bconsole.conf'/>
        <file filelist="bareos" name='/etc/bareos/bareossupport.conf'/>
        <file filelist="bareos" name='/etc/bareos/bareosschedulepre.conf'/>
        <file filelist="bareos_dir_fd" name='/etc/bareos/bareosschedule.conf'/>
        <file filelist="bareos" name='/etc/bareos/bareosschedulepost.conf'/>
        <file filelist="bareos" name='/etc/bareos/bareos-restore.conf'/>
        <file filelist="bareos" name='/etc/bareos/bat.conf'/>
        <file filelist="bareos" name='/etc/bareos/bareos-config-lib.sh' mode="0440" group='bareos'/>
        <file name='/etc/logrotate.d/bareos-common' source='bareos-common.logrotate'/>
        <file filelist="bareos_dir_fd" name='/etc/bareos/bareosfichiers.d/ead_extra.conf' source="bareos_ead_extra.conf"/>
        <file filelist="bareos_fd_remote" name='bareos_dir_remote_fd_extra' name_type="SymLinkOption" source="bareos_ead_extra_remote.conf" mkdir="True"/>
        <file filelist="bareos_fd_remote" name='bareos_dir_remote_fd_schedule' name_type="SymLinkOption" source="bareosschedule_remote.conf" mkdir="True"/>
    </files>

    <variables>
        <family name='général'>
            <variable name="test_bareos_cronschedule" type="oui/non" description="Determine si le cron de la mise à jour doit être généré ou non"/>
        </family>
        <family name='services'>
            <variable name='activer_bareos_dir' type='oui/non' description="Activer le directeur de sauvegarde">
                <value>oui</value>
            </variable>
            <variable name='activer_bareos_sd' type='oui/non' description="Activer le stockage de sauvegarde"/>
            <variable name='activer_bareos_fd' type='oui/non' description="Activer la sauvegarde des fichiers locaux" mode="expert"/>
            <variable name='local_bareos_fd_needed' type='oui/non' description='Variable intermédiaire pour gérer la désactivation de la configuration' hidden='True'/>
        </family>
        <family name='directeur bareos' icon='archive'>
            <variable name='bareos_db_type' type='string' description='Type de la base de données du catalogue' auto_freeze='True' mandatory='True' />
            <variable name='bareos_db_extract_dir' type='filename' description="Répertoire d'extraction de la base de données du catalogue" mode="expert">
                <value>/var/lib/bareos</value>
            </variable>
            <variable name='bareos_db_mysql_password' type='password' description="Mot de passe de la base de données MySQL de la sauvegarde" auto_freeze='True' mandatory="True" mode="expert"/>
            <variable name='bareos_dir_name' type='string' description='Nom du directeur local' auto_freeze='True' mandatory='True'/>

            <!-- configuration des pool de volumes -->
            <!-- pool Full -->
            <variable name='bareos_catalog_max_volume_bytes' type='number' description='Taille maximale du volume de sauvegarde du catalogue en Go' mandatory='True'>
                <value>2</value>
            </variable>
            <variable name='bareos_full_retention' type='number' description='Période de rétention des sauvegardes complètes' mandatory='True'>
                <value>6</value>
            </variable>
            <variable name='bareos_full_retention_unit' type='string' description='Unité de valeur pour la rétention des sauvegardes complètes'>
                <value>months</value>
            </variable>
            <variable name='bareos_full_max_volume_bytes' type='number' description='Taille maximale des volumes en Go'>
                <value>2</value>
            </variable>
            <!-- pool Diff -->
            <variable name='bareos_diff_retention' type='number' description='Période de rétention des sauvegardes différentielles' mandatory='True'>
                <value>5</value>
            </variable>
            <variable name='bareos_diff_retention_unit' type='string' description='Unité de valeur pour la rétention des sauvegardes différentielles'>
                <value>weeks</value>
            </variable>
            <variable name='bareos_diff_max_volume_bytes' type='number' description='Taille maximale des volumes en Go'>
                <value>2</value>
            </variable>
            <!-- pool Inc -->
            <variable name='bareos_inc_retention' type='number' description='Période de rétention des sauvegardes incrémentales' mandatory='True'>
                <value>10</value>
            </variable>
            <variable name='bareos_inc_retention_unit' type='string' description='Unité de valeur pour la rétention des sauvegardes incrémentales'>
                <value>days</value>
            </variable>
            <variable name='bareos_inc_max_volume_bytes' type='number' description='Taille maximale des volumes en Go'>
                <value>2</value>
            </variable>

            <!-- Options bareos-dir -->
            <variable name='bareos_max_run_time' type='number' description="Durée maximale pour l'exécution complète d'une sauvegarde (en secondes)" mode="expert">
                <value>86400</value>
            </variable>
            <variable name='bareos_compression' type='string' description='Niveau de compression des sauvegardes' mode="expert">
                <value>LZ4</value>
            </variable>
            <variable name='bareos_dir_password' type='password' description='Mot de passe du directeur' mode="expert" auto_save='True'/>

            <!-- Configuration du storage daemon utilisé par le directeur local -->
            <variable name="bareos_dir_use_local_sd" type='oui/non' description='Utiliser le gestionnaire de stockage local'/>
            <variable name="bareos_dir_sd_name" type='string' description='Nom du serveur de stockage utilisé par le directeur' mandatory='True' hidden='True'/>
            <variable name="bareos_dir_remote_sd_name" type='string' description='Nom du serveur de stockage distant' mandatory='True'/>
            <variable name='bareos_dir_sd_address' type='domain' description='Adresse du serveur de stockage utilisé par le directeur' mandatory='True' hidden='True'/>
            <variable name='bareos_dir_remote_sd_address' type='domain' description='Adresse du serveur de stockage distant' mandatory='True'/>
            <variable name='bareos_dir_sd_password' type='password' description='Mot de passe du serveur de stockage utilisé par le directeur' mandatory='True' hidden='True'/>
            <variable name='bareos_dir_remote_sd_password' type='password' description='Mot de passe pour la connexion au serveur de stockage distant' mandatory='True'/>

            <!-- Configuration des clients distant -->
            <variable name="bareos_dir_set_remote_fds" type='oui/non' description='Configurer la sauvegarde de fichiers distants' >
                <value>non</value>
            </variable>

            <variable name='bareos_dir_remote_fd_name' type='string' description='Identifiant du client distant' mandatory='True' multi='True'/>
            <variable name='bareos_dir_remote_fd_display_name' type='string' description='Nom du client distant' mandatory='True' multi='True'/>
            <variable name='bareos_dir_remote_fd_address' type='domain' description='Adresse du client distant' mandatory='True'/>
            <variable name='bareos_dir_remote_fd_password' type='password' description='Mot de passe du client distant' mandatory='True'/>
            <variable name='bareos_dir_remote_fd_schedule' type='filename' description='Nom du fichier schedule à généré' multi='True'/>
            <variable name='bareos_dir_remote_fd_extra' type='filename' description='Nom du fichier schedule à généré' multi='True'/>
        </family>
        <family name="stockage bareos" icon='archive'>
            <!-- Configuration du Storage daemon local (sauvegarde sur disque local ou périphérique monté en local) -->
            <variable name='bareos_sd_name' type='string' description='Nom du serveur de stockage' mandatory='True'/>

            <variable name='bareos_sd_address_fd' type='domain' description='Adresse du serveur de stockage distant calculé pour les clients'/>
            <variable name='bareos_sd_password' type='password' description='Mot de passe pour le serveur de stockage Bareos' mandatory='True' auto_save='True'/>
            <!-- Configuration des directeurs distants -->
            <variable name='bareos_sd_set_remote_dirs' type='oui/non' description='Configurer les services directeurs distants autorisés à utiliser le service de stockage local'>
                <value>non</value>
            </variable>
            <variable name='bareos_sd_remote_dir_name' type='string' description='Nom du directeur Bareos distant' multi='True' mandatory='True'/>
            <variable name='bareos_sd_remote_dir_ip' type='domain' description='Adresse IP du directeur distant' mandatory='True'/>
            <variable name='bareos_sd_remote_dir_password' type='password' description='Mot de passe Bareos distant' mandatory='True'/>

        </family>
        <family name="client bareos" icon='archive'>
            <!-- Configuration du client local -->
            <variable name='bareos_fd_name' type='string' description='Nom du service de sauvegarde des fichiers locaux' mode="expert"/>
            <variable name='bareos_fd_remote_dir_address' type='domain' description='Adresse du directeur Bareos distant' mandatory='True'/>
            <variable name='bareos_fd_remote_dir_name' type='string' description='Nom du directeur Bareos distant' mandatory='True'/>
            <variable name='bareos_fd_remote_dir_password' type='password' description='Mot de passe Bareos distant' mandatory='True'/>

        </family>

        <separators>
            <separator name='bareos_dir_use_local_sd'>Gestion du stockage</separator>
            <separator name='bareos_sd_set_remote_dirs'>Configuration des accès distants au stockage</separator>
            <separator name='bareos_dir_set_remote_fds'>Configuration de la sauvegarde de fichiers distants</separator>
            <separator name='bareos_fd_remote_dir_address'>Configuration de l'accès du directeur distant</separator>
        </separators>
    </variables>

    <constraints>
        <check name='valid_regexp' target='bareos_dir_remote_fd_name'>
            <param>^[A-Za-z_][A-Za-z0-9_]+$</param>
            <param name='err_msg'>L’identifiant du client ne peut être composé que de caractères alphanumériques et du caractère _ et ne peut pas commencer par un chiffre.</param>
        </check>
        <check name='valid_enum' target='bareos_db_type'>
            <param>['sqlite3']</param>
        </check>
        <check name='valid_enum' target='bareos_full_retention_unit'>
            <param>['years', 'months', 'weeks', 'days']</param>
        </check>
        <check name='valid_enum' target='bareos_diff_retention_unit'>
            <param>['years', 'months', 'weeks', 'days']</param>
        </check>
        <check name='valid_enum' target='bareos_inc_retention_unit'>
            <param>['years', 'months', 'weeks', 'days']</param>
        </check>
        <check name='valid_enum' target='bareos_compression'>
            <param>['Aucune', 'GZIP1', 'GZIP2', 'GZIP3', 'GZIP4', 'GZIP5', 'GZIP6', 'LZ4', 'GZIP7', 'GZIP8', 'GZIP9']</param>
        </check>
        <fill name="auto_copy_val" target="activer_bareos_sd">
            <param type="eole">activer_bareos_dir</param>
        </fill>
        <fill name="auto_copy_val" target="activer_bareos_fd">
            <param type="eole">activer_bareos_dir</param>
        </fill>
        <auto name='calc_multi_condition' target='local_bareos_fd_needed'>
            <param>non</param>
            <param type='eole' name='condition_1'>activer_bareos_dir</param>
            <param type='eole' name='condition_2'>activer_bareos_fd</param>
            <param name='match'>non</param>
            <param name='mismatch'>oui</param>
        </auto>
        <fill name="concat" target='bareos_dir_name'>
            <param type='eole' name='valeur1'>nom_machine</param>
            <param name='valeur2'>-dir</param>
        </fill>
        <fill name='calc_multi_condition' target='bareos_sd_set_remote_dirs'>
            <param>['non', 'oui']</param>
            <param name='condition_1' type='eole'>activer_bareos_dir</param>
            <param name='condition_2' type='eole'>activer_bareos_sd</param>
            <param name='match'>oui</param>
        </fill>
        <fill name="concat" target="bareos_sd_name">
            <param type='eole' name='valeur1'>nom_machine</param>
            <param name='valeur2'>-sd</param>
        </fill>
        <fill name="concat" target='bareos_fd_name'>
            <param type='eole' name='valeur1'>nom_machine</param>
            <param name='valeur2'>_fd</param>
        </fill>
        <auto name="concat" target="bareos_dir_remote_fd_schedule">
            <param>/etc/bareos/</param>
            <param type="eole">bareos_dir_remote_fd_name</param>
            <param>/bareosschedule.conf</param>
        </auto>
        <auto name="concat" target="bareos_dir_remote_fd_extra">
            <param>/etc/bareos/</param>
            <param type="eole">bareos_dir_remote_fd_name</param>
            <param>/bareosfichiers.d/ead_extra.conf</param>
        </auto>

        <group master='bareos_sd_remote_dir_name'>
            <slave>bareos_sd_remote_dir_ip</slave>
            <slave>bareos_sd_remote_dir_password</slave>
        </group>

        <group master='bareos_dir_remote_client_name'>
            <slave>bareos_dir_remote_client_password</slave>
            <slave>bareos_dir_remote_ip</slave>
        </group>

        <group master ='bareos_dir_remote_fd_name'>
            <slave>bareos_dir_remote_fd_display_name</slave>
            <slave>bareos_dir_remote_fd_address</slave>
            <slave>bareos_dir_remote_fd_password</slave>
            <slave>bareos_dir_remote_fd_schedule</slave>
            <slave>bareos_dir_remote_fd_extra</slave>
        </group>

        <condition name='disabled_if_in' source='activer_bareos_dir'>
            <param>non</param>
            <target type='family'>directeur bareos</target>
            <target type='filelist'>bareos</target>
            <target type='servicelist'>bareos</target>
            <target type='variable'>bareos_sd_password</target>
        </condition>
        <condition name='disabled_if_in' source='local_bareos_fd_needed'>
            <param>non</param>
            <target type='filelist'>bareos_fd</target>
            <target type='family'>client bareos</target>
            <target type='servicelist'>bareos_fd</target>
        </condition>
        <condition name='disabled_if_not_in' source='bareos_db_type'>
            <param>mysql</param>
            <target>bareos_db_mysql_password</target>
        </condition>
        <condition name='disabled_if_in' source='activer_bareos_sd'>
            <param>non</param>
            <target type='family'>stockage bareos</target>
            <target type='variable'>bareos_sd_set_remote_dirs</target>
            <target type='filelist'>bareos_sd</target>
            <target type='servicelist'>bareos_sd</target>
        </condition>
        <condition name='disabled_if_in' source='bareos_sd_set_remote_dirs'>
            <param>non</param>
            <target type='variable'>bareos_sd_remote_dir_name</target>
            <target type='variable'>bareos_sd_remote_dir_ip</target>
        </condition>
        <condition name='disabled_if_in' source='activer_bareos_dir'>
            <param>non</param>
            <target type='filelist'>bareos_dir_fd</target>
        </condition>
        <condition name='disabled_if_in' source='activer_bareos_fd'>
            <param>non</param>
            <target type='filelist'>bareos_dir_fd</target>
        </condition>
        <condition name='disabled_if_in' source='bareos_dir_set_remote_fds'>
            <param>non</param>
            <target type='filelist'>bareos_fd_remote</target>
            <target type='variable'>bareos_dir_remote_fd_name</target>
            <target type='variable'>bareos_dir_remote_fd_address</target>
            <target type='variable'>bareos_dir_remote_fd_password</target>
        </condition>
        <auto name='calc_multi_condition' target='test_bareos_cronschedule'>
            <param>non</param>
            <param type='eole' name='condition_1' hidden="False">bareos_dir_set_remote_fds</param>
        </auto>
        <condition name='disabled_if_in' source='test_bareos_cronschedule'>
            <param>non</param>
            <target type='filelist'>cronschedule</target>
        </condition>
        <condition name='disabled_if_in' source='activer_bareos_dir'>
            <param>non</param>
            <target type='variable'>bareos_dir_sd_address</target>
            <target type='variable'>bareos_sd_address_fd</target>
        </condition>

        <fill name='gen_random' target='bareos_db_mysql_password'/>
        <fill name='gen_random' target='bareos_dir_password'/>
        <fill name='gen_random' target='bareos_sd_password'/>
        <!-- Si activer_bareos_sd == 'oui' on veut que la valeur par défaut de bareos_dir_use_local_sd soit aussi 'oui'
             si activer_bareos_sd == 'non', la valeur de bareos_dir_use_local_sd ne peut être que "non"-->
        <fill name='calc_val' target='bareos_dir_use_local_sd'>
            <param type='eole' name='valeur'>activer_bareos_sd</param>
        </fill>
        <condition name='frozen_if_in' source='activer_bareos_sd'>
            <param>non</param>
            <target type='variable'>bareos_dir_use_local_sd</target>
        </condition>

        <condition name="frozen_if_in" source ="activer_bareos_fd">
            <param>non</param>
            <target type="variable">bareos_dir_set_remote_fds</target>
            <target type="variable">bareos_fd_name</target>
            <target type='variable'>bareos_fd_remote_dir_address</target>
            <target type='variable'>bareos_fd_remote_dir_name</target>
            <target type='variable'>bareos_fd_remote_dir_password</target>
        </condition>

        <fill name='calc_multi_condition' target='bareos_dir_set_remote_fds'>
            <param>non</param>
            <param type='eole' name='condition_1'>activer_bareos_fd</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
        </fill>
        <condition name='disabled_if_in' source='bareos_dir_set_remote_fds'>
            <param>non</param>
            <target type='variable'>bareos_dir_remote_fd_name</target>
        </condition>

        <condition name='frozen_if_in' source='activer_bareos_dir'>
            <param>oui</param>
            <target type='variable'>bareos_fd_remote_dir_name</target>
            <target type='variable'>bareos_fd_remote_dir_address</target>
            <target type='variable'>bareos_fd_remote_dir_password</target>
        </condition>
        <auto name='calc_multi_condition' target='bareos_sd_address_fd'>
            <param>non</param>
            <param type='eole' name='condition_1'>bareos_dir_set_remote_fds</param>
            <param name='match'>127.0.0.1</param>
            <param type='eole' name='mismatch'>adresse_ip_eth0</param>
        </auto>
        <condition name='disabled_if_in' source='bareos_dir_use_local_sd'>
            <param>oui</param>
            <target type='variable'>bareos_dir_remote_sd_name</target>
            <target type='variable'>bareos_dir_remote_sd_address</target>
            <target type='variable'>bareos_dir_remote_sd_password</target>
        </condition>
        <auto name='calc_multi_condition' target='bareos_dir_sd_name'>
            <param>oui</param>
            <param type='eole' name='condition_1'>bareos_dir_use_local_sd</param>
            <param type='eole' name='match' hidden='False'>bareos_sd_name</param>
            <param type='eole' name='mismatch' hidden='False'>bareos_dir_remote_sd_name</param>
            <param name='default_mismatch'>None</param>
        </auto>
        <auto name='calc_multi_condition' target='bareos_dir_sd_address'>
            <param>oui</param>
            <param type='eole' name='condition_1'>bareos_dir_use_local_sd</param>
            <param type='eole' name='match' hidden='False'>bareos_sd_address_fd</param>
            <param type='eole' name='mismatch' hidden='False'>bareos_dir_remote_sd_address</param>
            <param name='default_mismatch'>None</param>
        </auto>
        <auto name='calc_multi_condition' target='bareos_dir_sd_password'>
            <param>oui</param>
            <param type='eole' name='condition_1'>bareos_dir_use_local_sd</param>
            <param type='eole' name='match' hidden='False'>bareos_sd_password</param>
            <param type='eole' name='mismatch' hidden='False'>bareos_dir_remote_sd_password</param>
            <param name='default_mismatch'>None</param>
        </auto>
        <fill name='calc_multi_condition' target='bareos_fd_remote_dir_name'>
            <param>oui</param>
            <param type='eole' name='condition_1'>activer_bareos_dir</param>
            <param type='eole' hidden='False' name='match'>bareos_dir_name</param>
            <param name='default_mismatch'>None</param>
        </fill>
        <fill name='calc_multi_condition' target='bareos_fd_remote_dir_address'>
            <param>oui</param>
            <param type='eole' name='condition_1'>activer_bareos_dir</param>
            <param name='match'>127.0.0.1</param>
            <param name='default_mismatch'>None</param>

        </fill>
        <fill name='calc_multi_condition' target='bareos_fd_remote_dir_password'>
            <param>oui</param>
            <param type='eole' name='condition_1'>activer_bareos_dir</param>
            <param type='eole' hidden='False' name='match'>bareos_dir_password</param>
            <param name='default_mismatch'>None</param>
        </fill>
    </constraints>

    <help>
        <!-- Services -->
        <variable name='activer_bareos_dir'>Permet d'activer le service bareos-dir (Directeur Bareos)</variable>
        <variable name='activer_bareos_sd'>Permet d'activer le service bareos-sd (Stockage Bareos)</variable>
        <variable name='activer_bareos_fd'>Permet d'activer le service bareos-fd (Client Bareos)</variable>
        <!-- Directeur bareos -->
        <family name='Directeur bareos'>Configuration du serveur de sauvegarde</family>
        <variable name='bareos_dir_name'>Nom identifiant le service bareos-dir</variable>
        <variable name='bareos_catalog_max_volume_bytes'>Taille maximale du volume du pool de la sauvegarde du catalogue utile en cas de stockage sur un système de fichier imposant une limite de taille très restrictive. Mettre à zéro pour ne pas limiter la taille</variable>
        <variable name='bareos_full_retention'>Durée pendant laquelle le contenu des sauvegardes complètes est conservé avant écrasement</variable>
        <variable name='bareos_full_retention_unit'>Unité de la durée de rétention pour les sauvegardes complètes</variable>
        <variable name='bareos_full_max_volume_bytes'>Taille maximale des volumes du pool des sauvegardes complètes</variable>
        <variable name='bareos_diff_retention'>Durée pendant laquelle le contenu des sauvegardes différentielles est conservé avant écrasement</variable>
        <variable name='bareos_diff_retention_unit'>Unité de la durée de rétention pour les sauvegardes différentielles</variable>
        <variable name='bareos_diff_max_volume_bytes'>Taille maximale des volumes du pool des sauvegardes différencielles</variable>
        <variable name='bareos_inc_retention'>Durée pendant laquelle le contenu des sauvegardes incrémentales est conservé avant écrasement</variable>
        <variable name='bareos_inc_retention_unit'>Unité de la durée de rétention pour les sauvegardes incrémentales</variable>
        <variable name='bareos_inc_max_volume_bytes'>Taille maximale des volumes du pool des sauvegardes incrémentales</variable>
        <variable name='bareos_max_run_time'>Spécifie le délai, en secondes, alloué pour l'exécution complète d'un job depuis son lancement (pas nécessairement à l'heure de sa programmation) jusqu'à sa fin (0 pour pas de limite)</variable>
        <variable name='bareos_compression'>Niveau de compression gzip appliqué aux données sauvegardées</variable>
        <variable name='bareos_dir_password'>Mot de passe à transmettre aux applications distantes pour leur permettre de s'authentifier auprès du directeur</variable>
        <variable name='bareos_dir_use_local_sd'>Choix du service bareos-sd gérant l'écriture des volumes de sauvegardes</variable>
        <variable name='bareos_dir_sd_address'>Adresse du service bareos-sd gérant l'écriture des volumes de sauvegardes</variable>
        <variable name='bareos_dir_sd_password'>Mot de passe permettant d'identifier le service bareos-sd du serveur distant (ressource Storage de la configuration du service bareos-dir local)</variable>
        <variable name='bareos_dir_set_remote_fds'>Permet de déclarer des clients distants afin de gérer la sauvegarde des fichiers d’autres serveurs</variable>
        <!-- Stockage bareos -->
        <family name='Stockage bareos'>Configuration du service bareos-sd</family>
        <!-- client bareos -->
        <family name='client bareos'>Configuration du client bareos-fd</family>
        <variable name='bareos_sd_remote_dir_name'>Nom du service bareos-dir du serveur distant à sauvegarder</variable>
        <variable name='bareos_sd_remote_dir_ip'>Adresse du serveur distant à sauvegarder</variable>
        <variable name='bareos_sd_remote_dir_password'>Mot de passe permettant d'identifier le service bareos-dir du serveur distant à sauvegarder (ressource Director de la configuration du service bareos-sd local)</variable>
        <!-- clients distants -->
        <variable name='bareos_dir_remote_fd_display_name'>Nom du service bareos-fd du client distant</variable>
        <variable name='bareos_dir_remote_fd_address'>Adresse IP ou nom d'hôte du client distant</variable>
        <variable name='bareos_dir_remote_fd_password'>Mot de passe permettant d'identifier le service bareos-fd du client distant</variable>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
